package Profile;
use Time::HiRes qw(time);


sub new {
    my ($class,%args) = @_;
    my $self = { file => '/tmp/profile',
                 %args, 
               };
    $self = bless($self,$class);

    $self->open_log() if $self->{debug};
    return $self;
}

sub open_log {
  my $self = shift;
  open my $fv, ">>$self->{file}" or die "Can't open logfile: $self->{file}\n";
  $self->{fv} = $fv;
}

sub out {
  my $self = shift;
  return unless $self->{debug};
  my $fv = $self->{fv};
  print $fv scalar(time) . " " . join('',@_) . "\n";
}

sub begin {
    my ($self,$name) = @_;
    $self->out("START $name");
}

sub end {
    my ($self,$name) = @_;
    $self->out("END $name");
}





1;


